Bug 450059 - Can't start X with two (one PCI-E and one PCI) radeon cards
Can't start X with two (one PCI-E and one PCI) radeon cards
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-04 20:50 EDT by Andrew Overholt
Modified: 2009-06-10 10:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-10 10:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2008-06-04 20:50:44 EDT
Description of problem:
If I boot the F9 live CD, I get a regular boot followed by a flicker-y login
prompt but no X.

How reproducible:

My smolt profile:


My xorg.conf (works -- well, as two separate screens -- in F8):


When I this xorg.conf I get one screen lit up with the text "P/N
113-PCcc2502-17E" and nothing on the other screen.  Not surprisingly, xrandr -q
says "no display" (or whatever it says when X isn't started).

Bug #441161 is potentially related (I can no longer start X after the kernel
Comment 1 Matěj Cepl 2008-06-05 10:33:02 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your current X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-06-05 10:33:23 EDT
sorry, dual-head -- don't bother with running without /etc/X11/xorg.conf
Comment 3 Andrew Overholt 2008-06-05 10:42:37 EDT
So I think I've attached all relevant info, no?  Well, I've already attached the
log files to other bugs and put links here so as to not duplicate the attachments :)
Comment 4 Matěj Cepl 2008-06-06 03:43:28 EDT
Sorry I didn't recognized first that bug 441161 is yours. Therefore, we have
/var/log/Xorg.0.log in the attachment 308405 [details]
Comment 5 Bug Zapper 2009-06-09 21:24:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Andrew Overholt 2009-06-10 10:54:15 EDT
I no longer have this hardware setup so I can't reproduce.

Note You need to log in before you can comment on or make changes to this bug.